/*
    PTimeTracker - Qt based time tracking program
    Copyright (C) 1999, 2000 Sylvia Wong <sc.wong@ieee.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
    02111-1307 USA
*/

/*
CHANGELOG:

CHANGED 2004-07-24 Lutz Rogowski
*/

#ifdef DESKTOP_VERSION
#include <qapplication.h>
#else
#include <qpe/qpeapplication.h>
#endif
#include <qpixmap.h>
#include <qwidget.h>
#include <qdir.h>
#include "widgets.hh"
#include "icons/ptt.xpm"


int main( int argc, char ** argv ) { 
    
    QString setPath = QDir::homeDirPath() + "/kdepim";
    QDir setDir (setPath);
    if  ( ! setDir.exists () )
        setDir.mkdir ( setPath );
    setPath += "/apps";
    if  ( ! setDir.exists (setPath) )
        setDir.mkdir ( setPath );

#ifdef DESKTOP_VERSION
    QApplication a( argc, argv );
#else
    QPEApplication a( argc, argv );
#endif
    Top mw ;
    mw.setCaption( "KTimeTracker" );
    mw.setIconText( "PTimeTracker" );
    mw.setIcon( QPixmap(ptt_xpm) );
#ifdef DESKTOP_VERSION
    a.setMainWidget( &mw );
    mw.show();
#else
    a.showMainWidget( &mw );
#endif
    a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
    return a.exec();
}
